<!DOCTYPE html>
<html lang="en">

<head>
  <title>HQDBootstrap ExampleHQD</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body>

  <div class="container">
    <div class="text-center my-4">
      <h2>Danh sách người dùng</h2>
    </div>

    <table id="table-person" class="table table-bordered table-striped table-hover">
      <thead>
        <tr>
          <th>Mã người dùng</th>
          <th>Firstname</th>
          <th>Lastname</th>
          <th>Age</th>
          <th>Action</th>
        </tr>
      </thead>
      <tbody>

      </tbody>
    </table>
  </div>
  ​
  <script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    var gJsonUser = `{
    "description": "Data user",
    "users": [
      {
        "userId": 1,
        "firstname": "Test1",
        "lastname": "User1",
        "age": 18
      },
      {
        "userId": 2,
        "firstname": "Test2",
        "lastname": "User2",
        "age": 19
      },
      {
        "userId": 3,
        "firstname": "Test3",
        "lastname": "User3",
        "age": 18
      },
      {
        "userId": 4,
        "firstname": "Test4",
        "lastname": "User4",
        "age": 20
      },
      {
        "userId": 5,
        "firstname": "Test5",
        "lastname": "User5",
        "age": 21
      },
      {
        "userId": 6,
        "firstname": "Test6",
        "lastname": "User6",
        "age": 20
      }
    ]
  }`;
    var gPersonObj = JSON.parse(gJsonUser);
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {
      loadDataTable();
      $(".btn-detail").on("click", function () {

        onBtnDetailClick(this);
      })
    })

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onBtnDetailClick(paramButton) {
      var vUserId = $(paramButton).data("userid");
      var vFirstName = $(paramButton).data("firstname");
      var vLastName = $(paramButton).data("lastname");
      var vAge = $(paramButton).data("age");
      console.log("id= " + vUserId);
      console.log("first name= " + vFirstName);
      console.log("last name= " + vLastName);
      console.log("age= " + vAge);

    }

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function loadDataTable() {

      var vTbalePerson = $("#table-person")
      for (var bI = 0; bI < gPersonObj.users.length; bI++) {
        $("#table-person")
          .find("tbody")
          .append($("<tr/>")
            .append($("<td/>")
              .html(gPersonObj.users[bI].userId)
            )
            .append($("<td/>")
              .html(gPersonObj.users[bI].firstname)
            )
            .append($("<td/>")
              .html(gPersonObj.users[bI].lastname)
            )
            .append($("<td/>")
              .html(gPersonObj.users[bI].age)
            )
            .append($("<td/>")
              .append($("<button/>", {
                html: "detail",
                class: "btn btn-success btn-detail"

              }

              )
                .data("userid", gPersonObj.users[bI].userId)
                .data("firstname", gPersonObj.users[bI].firstname)
                .data("lastname", gPersonObj.users[bI].lastname)
                .data("age", gPersonObj.users[bI].age)


              )
            )
          )

      }

    }
  </script>
</body>

</html>
​